PASSWD(1)

NAMN
passwd - ändra användarlösenord

SYNOPSIS

passwd [flaggor] [INLOGGNINGSNAMN]

BESKRIVNING

The passwd command changes passwords for user accounts. A normal user may only change the password for his/her own account, while the superuser may change the password for any account. passwd also changes account information, such as the full name of the user, the user's login shell, or his/her password expiry date and interval.

  Lösenordsändringar

The user is first prompted for his/her old password, if one is present. This password is then encrypted and compared against the stored password. The user has only one chance to enter the correct password. The superuser is permitted to bypass this step so that forgotten passwords may be changed.

Efter att lösenordet har matats in kontrolleras lösenordets åldringsinformation för att se om användaren tillåts att ändra lösenord för tillfället. Om inte, nekar passwd att ändra lösenordet och avslutas.

Användaren frågas sedan två gånger efter ett ersättande lösenord. Den andra inmatningen jämförs mot den första och båda måste stämma överens för att lösenordet ska ändras.

Sedan testas lösenordet för sin komplexitet. Som en allmän riktlinje bör lösenord innehålla 6 till 8 tecken och inkluderas ett eller flera tecken från var och en av följande punkter:

    • gemena bokstäver ur alfabetet

    • siffrorna 0 till 9

    • skiljetecken

Tänk på att inte inkludera systemets standardtecken för radering eller döda. passwd kommer att neka alla lösenord som inte har lämplig komplexitet.

  Tips för användarlösenord

Säkerhet i ett lösenord beror på styrkan på krypteringsalgoritmen och nyckellängden. Krypteringsmetoden för UNIX-system är baserad på NBS DES-algoritmen och är mycket säker. Längden på nyckeln är beroende på slumpmässigheten för det valda lösenordet.

Problem i lösenordssäkerheten brukar normalt komma från slarvigt valda lösenord eller hantering. Av denna anledning bör du inte välja ett lösenord som finns i en ordbok eller som måste skrivas ner. Lösenordet bör heller inte vara ett korrekt namn, ditt personnummer, födelsedatum eller gatuadress. Dessa kan användas som gissningar för att ta sig in i systemet.

You can find advices on how to choose a strong password on http://en.wikipedia.org/wiki/Password_strength

FLAGGOR

Flaggorna som gäller för kommandot passwd är:

-a, --all
    Denna flagga kan endast användas med -S och gör att status visas för alla användare.

-d, --delete
    Ta bort en användares lösenord (gör det blankt). Detta är ett snabbt sätt att inaktivera ett lösenord för ett konto. Det kommer att ta bort det angivna kontots lösenord.

-e, --expire
    Lösenordet för ett konto sätts omedelbart som utgånget. Detta kan tvinga en användare att ändra sitt lösenord vid nästa inloggningsförsök.

-h, --help
    Visa hjälpmeddelande och avsluta.

-i, --inactiveINAKTIV
    Denna flagga används för att inaktivera ett konto efter att lösenordet har varit utgånget i ett antal dagar. Efter att ett användarkonto har haft ett utgånget lösenord i INAKTIV dagar får användaren inte längre logga in med detta konto.

-k, --keep-tokens
    Indicate password change should be performed only for expired authentication tokens (passwords). The user wishes to keep their non-expired tokens as before.

-l, --lock
    Lock the named account. This option disables an account by changing the password to a value which matches no possible encrypted value, and by setting the account expiry field to 1.

-m, --mindaysMIN_DAGAR
    Sätter minimalt antal dagar mellan lösenordsändringar till MIN_DAGAR. Ett nollvärde för detta fält betyder att användaren kan ändra sitt lösenord när som helst.

-q, --quiet
    Tyst läge.

-r, --repositoryFÖRRÅD
    change password in REPOSITORY repository

-S, --status
    Visa statusinformation för konto. Statusinformationen innehåller 7 fält. Första fältet är användarens inloggningsnamn. Det andra fältet indikerar om användarkontot är låst (L), saknar lösenord (NP) eller har ett användbart lösenord (P). Det tredje fältet anger datumet för senaste lösenordsändringen. De nästa fyra fälten är minimal ålder, maximal ålder, varningsperiod och inaktivitetsperiod för lösenordet. Dessa åldrar anges i dagar.

-u, --unlock
    Unlock the named account. This option re-enables an account by changing the password back to its previous value (to value before using -l option), and by resetting the account expiry field.

-w, --warndaysVARN_DAGAR
    Sätter antalet dagar för varning före ett lösenord behöver ändras. Flaggan VARN_DAGAR är antalet dagar före användaren varnas om att lösenordet är på väg att bli utgånget.

-x, --maxdaysMAX_DAGAR
    Sätter maximalt antal dagar som ett lösenord ska vara giltigt. Efter MAX_DAGAR krävs det att lösenordet ändras.

TÄNK PÅ

Inte alla flaggor kanske stöds. Kontroll av lösenordskomplexiteten kan variera mellan olika system. Användare rekommenderas att välja ett lösenord som är så komplext som han eller hon känner sig komfortabel med. Användare kanske inte kan ändra sina lösenord på ett system om NIS är aktiverat och de inte är inloggade mot NIS-servern.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

ENCRYPT_METHOD (string)
    This defines the system default encryption algorithm for encrypting passwords (if no algorithm are specified on the command line).

    It can take one of these values:

        • DES (default)

        • MD5

        • SHA256

        • SHA512

        Note: this parameter overrides the MD5_CRYPT_ENAB variable.

        Note: if you use PAM, it is recommended to set this variable consistently with the PAM modules configuration.

MD5_CRYPT_ENAB (boolean)
    Indicate if passwords must be encrypted using the MD5-based algorithm. If set to yes, new passwords will be encrypted using the MD5-based algorithm compatible with the one used by recent releases of FreeBSD. It supports passwords of unlimited length and longer salt strings. Set to no if you need to copy encrypted passwords to other systems which don't understand the new algorithm. Default is no.

    This variable is superceded by the ENCRYPT_METHOD variable or by any command line option used to configure the encryption algorithm.

    This variable is deprecated. You should use ENCRYPT_METHOD.

    Note: if you use PAM, it is recommended to set this variable consistently with the PAM modules configuration.

OBSCURE_CHECKS_ENAB (boolean)
    Enable additional checks upon password changes.

PASS_ALWAYS_WARN (boolean)
    Warn about weak passwords (but still allow them) if you are root.

PASS_CHANGE_TRIES (number)
    Maximum number of attempts to change password if rejected (too easy).

PASS_MAX_LEN (number), PASS_MIN_LEN (number)
    Number of significant characters in the password for crypt(). PASS_MAX_LEN is 8 by default. Don't change unless your crypt() is better. This is ignored if MD5_CRYPT_ENAB set to yes.

SHA_CRYPT_MIN_ROUNDS (number), SHA_CRYPT_MAX_ROUNDS (number)
    When ENCRYPT_METHOD is set to SHA256 or SHA512, this defines the number of SHA rounds used by the encryption algorithm by default (when the number of rounds is not specified on the command line).

    With a lot of rounds, it is more difficult to brute forcing the password. But note also that more CPU resources will be needed to authenticate users.

    If not specified, the libc will choose the default number of rounds (5000).

    The values must be inside the 1000-999999999 range.

    If only one of the SHA_CRYPT_MIN_ROUNDS or SHA_CRYPT_MAX_ROUNDS values is set, then this value will be used.

    If SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, the highest value will be used.

FILER

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

AVSLUTNINGSVÄRDEN

Kommandot passwd avslutas med följande värden:

0
    lyckad

1
    åtkomst nekad

2
    ogiltig kombination av flaggor

3
    oväntat fel, ingenting har genomförts

4
    oväntat fel, filen passwd saknas

5
    Filen passwd är upptagen, försök igen

6
    ogiltigt argument till flagga

SE OCKSÅ

group(5), passwd(5), shadow(5).